Drag-and-drop form: impossible to drag fields into the right form panel

2016-12-09 06:46 AM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Forms

Affected QGIS version:master Regression?: Yes

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23880

Description

Layer's properties --> Fields tab, drag-and-drop editor layout activated

Trying to create a feature form, I'm not able to move fields to the form with drag-and-drop system. Actually, It worked at the beginning and

once I added a category, it no longer worked. Dragging a field, it doesn't follow the pointer until landing in the right panel (see screenshot).

So the only way to add fields is to use the right arrow button and the move it with other arrows.But That means there's no way to embed a

relation form.

I cancelled the Layer's properties dialog and reopened it, began a new project, relaunched QGIS, all this without success.

Note that this also puts the pointer into a weird state where, unless hitting ESC, no dialog can interact with it.

Drag-and-drop function to build a form in 2.18 on Windows works smoothly.

History

#1 - 2017-03-03 03:17 AM - Giovanni Manghi

- Target version set to Version 3.0

#2 - 2017-04-30 05:06 PM - Giovanni Manghi

- Regression? set to Yes

#3 - 2017-04-30 05:08 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#4 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#5 - 2017-06-23 04:51 PM - Regis Haubourg

- Description updated

confirmed in master.

#6 - 2017-06-27 11:05 AM - Hugo Mercier

It seems to be fixed in a recent master (from 9068feafc9cc9e938c0450952efcb3c3f71e50b8 or even fresher)

#7 - 2017-07-10 11:02 AM - Hugo Mercier
My bad, no, it has not been automagically fixed ...

#8 - 2018-01-16 05:36 AM - Nyall Dawson

- Status changed from Open to Feedback

Not reproducable on master - the whole form widget has been redesigned, so I don't think this bug is present anymore.

#9 - 2018-01-24 09:13 AM - Nyall Dawson

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closed due to lack of feedback
